你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Topic Event Subscriptions - Get Full Url

获取主题事件订阅的完整 URL。
获取主题事件订阅的完整终结点 URL。

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.EventGrid/topics/{topicName}/eventSubscriptions/{eventSubscriptionName}/getFullUrl?api-version=2025-02-15

URI 参数

名称 必需 类型 说明
eventSubscriptionName
path True

string

事件订阅的名称。

resourceGroupName
path True

string

用户订阅中的资源组的名称。

subscriptionId
path True

string

唯一标识Microsoft Azure 订阅的订阅凭据。 订阅 ID 构成了每个服务调用的 URI 的一部分。

topicName
path True

string

域主题的名称。

api-version
query True

string

要用于客户端请求的 API 的版本。

响应

名称 类型 说明
200 OK

EventSubscriptionFullUrl

还行

Other Status Codes

错误响应: ***

  • 400 错误的请求。

  • 500 内部服务器错误。

示例

TopicEventSubscriptions_GetFullUrl

示例请求

POST https://management.azure.com/subscriptions/5b4b650e-28b9-4790-b3ab-ddbd88d727c4/resourceGroups/examplerg/providers/Microsoft.EventGrid/topics/exampleTopic1/eventSubscriptions/examplesubscription1/getFullUrl?api-version=2025-02-15

示例响应

{
  "endpointUrl": "https://requestb.in/15ksip71"
}

定义

EventSubscriptionFullUrl

事件订阅的完整终结点 URL

名称 类型 说明
endpointUrl

string

表示事件订阅目标的终结点的 URL。